Authorization: Bearer ********************{
"tariff": {
"title": "Qingdao - Felixstowe FAK rates",
"trans_method": "sea",
"load_type": "complete",
"unit": "brut_wg",
"tariff_type": "company_based",
"debit_credit": "debit",
"curr": "USD",
"tariff_date": "2026-11-10",
"due_date": "2026-11-30",
"free_day": 7,
"notes": "Created via API",
"show_in_portal": true,
"vehicle_type": [
"20DC",
"40DC",
"40HQ"
],
"finitem_name": "OCEAN FREIGHT",
"tariff_companies_attributes": [
{
"company_name": "ACME TRADING LTD"
}
],
"tarifflines_attributes": [
{
"tariffline_locations_attributes": [
{
"origin_place_code": "CNTAO",
"destination_place_code": "GBFXT"
}
],
"tariff_full_prices_attributes": [
{
"vehicle_type": "20DC",
"full_price": 2195
},
{
"vehicle_type": "40DC",
"full_price": 2995
},
{
"vehicle_type": "40HQ",
"full_price": 3095
}
]
}
],
"extralines_attributes": [
{
"finitem_name": "CUSTOMS CLEARANCE",
"unit_type": "fixed",
"sales_unit_price": 65,
"curr": "GBP",
"export_import": "import"
}
]
}
}curl --location 'https://demo.modaltrans.com/api/v1/tariffs' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"tariff": {
"title": "Qingdao - Felixstowe FAK rates",
"trans_method": "sea",
"load_type": "complete",
"unit": "brut_wg",
"tariff_type": "company_based",
"debit_credit": "debit",
"curr": "USD",
"tariff_date": "2026-11-10",
"due_date": "2026-11-30",
"free_day": 7,
"notes": "Created via API",
"show_in_portal": true,
"vehicle_type": [
"20DC",
"40DC",
"40HQ"
],
"finitem_name": "OCEAN FREIGHT",
"tariff_companies_attributes": [
{
"company_name": "ACME TRADING LTD"
}
],
"tarifflines_attributes": [
{
"tariffline_locations_attributes": [
{
"origin_place_code": "CNTAO",
"destination_place_code": "GBFXT"
}
],
"tariff_full_prices_attributes": [
{
"vehicle_type": "20DC",
"full_price": 2195
},
{
"vehicle_type": "40DC",
"full_price": 2995
},
{
"vehicle_type": "40HQ",
"full_price": 3095
}
]
}
],
"extralines_attributes": [
{
"finitem_name": "CUSTOMS CLEARANCE",
"unit_type": "fixed",
"sales_unit_price": 65,
"curr": "GBP",
"export_import": "import"
}
]
}
}'{
"id": 0,
"reference": "string",
"title": "string",
"status": "string",
"trans_method": "string",
"location_type": "string",
"load_type": "string",
"unit": "string",
"tariff_type": "string",
"debit_credit": "string",
"curr": "string",
"tariff_date": "string",
"due_date": "string",
"free_day": 0,
"show_in_portal": true,
"notes": "string",
"updated_at": "string",
"supplier_name": "string",
"finitem_name": "string",
"invoice_curr": "string",
"unit_scales": "string",
"fcl_vehicle_types": "string",
"min_price": 0,
"profit_rate": "string",
"round_up": 0,
"print_notes": "string",
"tarifflines": [
{
"id": 0,
"tariff_type": "string",
"curr": "string",
"min_price": "string",
"max_price": 0,
"duration": 0,
"status": "string",
"tariffline_locations": [
{
"id": 0,
"origin_place_code": "string",
"destination_place_code": "string"
}
],
"tariff_full_prices": [
{
"id": 0,
"vehicle_type": "string",
"full_price": "string"
}
],
"tariff_partial_prices": [
{
"id": 0,
"unit": 0,
"rate": 0
}
]
}
],
"extralines": [
{
"id": 0,
"finitem_name": "string",
"unit_type": "string",
"sales_unit_price": "string",
"curr": "string",
"supplier_unit_price": "string",
"supplier_curr": "string",
"min_price": 0,
"export_import": "string",
"notes": "string"
}
],
"tariff_companies": [
{
"id": 0,
"company_id": 0,
"company_name": "string"
}
]
}